<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Formulaire PRDD</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta2/dist/css/bootstrap.min.css" rel="stylesheet"
          integrity="sha384-BmbxuPwQa2lc/FVzBcNJ7UAyJxM6wuqIj61tLrc4wSX0szH/Ev+nYRRuWlolflfl" crossorigin="anonymous">
</head>
<body>
<div class="container mt-5">
    <div class="row">
        <div class="col col-md-3">
            <img src="https://logos.bde-insa-lyon.fr/bde/bde.svg" alt="BdE"
                 style="height: 5rem"/>
        </div>
        <div class="col cold-md-9">
            <h2> Formulaire pour la Promenade de Remise des Diplômes
            </h2>
        </div>
    </div>
    <p class="lead">
        Bonjour {{ student.first_name }} !
        Vous faites partie du département {{ student.department }}.
    </p>
    {% if student.wave_group == None %}
        <form method="post" class="needs-validation">
            {% csrf_token %}
            <section>
                <label for="wgs">
                    Choix du groupe pour la PRDD
                </label>
                <select id="wgs" name="wave_group" class="form-select"
                        size="{{ wave_groups | length }}" required>
                    {% for wave_group in wave_groups %}
                        <option value="{{ wave_group.id }}">
                            {{ wave_group }} : {{ wave_group.free_seats }} places restantes
                        </option>
                    {% endfor %}
                </select>
            </section>
            <br>
            <section>
                Prévoyez-vous de prendre votre repas de midi aux food-trucks qui seront mis à votre disposition sur
                le
                campus samedi midi ?
                <div class="form-check">
                    <input class="form-check-input" type="radio" name="want_food_truck" id="fto" value="oui" required/>
                    <label
                            for="fto">Oui</label></div>
                <div class="form-check">
                    <input class="form-check-input" type="radio" name="want_food_truck" id="ftn" value="non"
                           required/><label for="ftn">Non</label>
                </div>
            </section>
            <hr/>
            <button class="btn btn-primary" type="submit">Envoyer</button>
        </form>
    {% else %}
        <p>
            Vous avez déjà répondu au sondage
        </p>
    {% endif %}
</div>
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta2/dist/js/bootstrap.bundle.min.js"
        integrity="sha384-b5kHyXgcpbZJO/tY9Ul7kGkf1S0CWuKcCD38l8YkeH8z8QjE0GmW1gYU5S9FOnJ0"
        crossorigin="anonymous"></script>

</body>
</html>